/* Gesamthöhe nutzen */
html, body {
  height: 100%;
  margin: 0;
  padding: 0;
}

/* Footer ans Ende der Seite */
#sp-footer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
}

/* Damit der Footer nicht überlappt, Inhalt anpassen */
.body-wrapper {
  min-height: 100%;
  position: relative;
  padding-bottom: 5px; /* Höhe des Footers, anpassen falls nötig */
  box-sizing: border-box;
}

/* Falls dein Footer höher ist, diesen Wert anpassen */
